MESON(1)

NAME
mesontest - test tool for the Meson build system

DESCRIPTION
Mesontest is a helper tool for running test suites of projects using Meson. The default way of running tests is to invoke the default build command: ninja [ test ] Mesontest provides a much richer set of tools for invoking tests.

  options:

--repeat
    run tests as many times as specified

--gdb
    run tests under gdb

--list
    list all available tests

--wrapper
    invoke all tests via the given wrapper (e.g. valgrind)

-C  Change into the given directory before running tests (must be root of build directory).

--suite
    run tests in this suite

--no-suite
    do not run tests in this suite

--no-stdsplit
    do not split stderr and stdout in test logs

--benchmark
    run benchmarks instead of tests

--logbase
    base of file name to use for writing test logs

--num-processes
    how many parallel processes to use to run tests

--verbose
    do not redirect stdout and stderr

-t  a multiplier to use for test timeout values (usually something like 100 for Valgrind)

--setup
    use the specified test setup

SEE ALSO
http://mesonbuild.com/